Cyberduck Mountain Duck CLI

#7329 closed defect (fixed)

Quit application does not work

Reported by: ncic Owned by: dkocher
Priority: normal Milestone: 4.4
Component: core Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

i get the same behaviour wheter using cmd q or choose quit from file menu. nothing happens except the file menu is highlighted with the system color. from there i can just proceed to do any action from there like reload or something and the highlighted color disappears. no quit tho. but after ive done an action quit in file menu is greyed out and pressing cmd q gives no go sound.

Attachments (1)

Sample of Process Cyberduck.txt (73.0 KB) - added by czechxteam on Jul 8, 2013 at 7:13:54 AM.

Download all attachments as: .zip

Change History (19)

comment:1 Changed on Jul 1, 2013 at 9:20:30 PM by dkocher

  • Version changed from 4.3.1 to Nightly Build

Is this on the OS X Developer Preview build?

comment:2 Changed on Jul 1, 2013 at 10:05:18 PM by ncic

im so sorry i entered wrong os spec. im on 10.8.4 not 10.9

comment:3 Changed on Jul 1, 2013 at 10:05:42 PM by ncic

  • Platform changed from Mac OS X 10.9 to Mac OS X 10.8

comment:4 Changed on Jul 1, 2013 at 10:08:50 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:5 Changed on Jul 1, 2013 at 10:21:40 PM by ncic

  • EARLIER
Jul  1 02:33:04 ncic.local Cyberduck[1199]: *** WARNING: -[NSImage compositeToPoint:operation:] is deprecated in MacOSX 10.8 and later. Please use -[NSImage drawAtPoint:fromRect:operation:fraction:] instead.
Jul  1 02:33:04 ncic.local Cyberduck[1199]: *** WARNING: -[NSImage compositeToPoint:fromRect:operation:] is deprecated in MacOSX 10.8 and later. Please use -[NSImage drawAtPoint:fromRect:operation:fraction:] instead.
  • JUST NOW
Jul  2 00:04:54 ncic.local Cyberduck[2213]: *** WARNING: -[NSImage compositeToPoint:operation:] is deprecated in MacOSX 10.8 and later. Please use -[NSImage drawAtPoint:fromRect:operation:fraction:] instead.
Jul  2 00:04:54 ncic.local Cyberduck[2213]: *** WARNING: -[NSImage compositeToPoint:fromRect:operation:] is deprecated in MacOSX 10.8 and later. Please use -[NSImage drawAtPoint:fromRect:operation:fraction:] instead.
Jul  2 00:16:04 ncic.local mtmd[52]: Set snapshot time: 2013-07-02 00:16:06 +0200 (current time: 2013-07-02 00:16:04 +0200)
Jul  2 00:16:04 ncic kernel[0]: nspace-handler-set-snapshot-time: 1372716966
Jul  2 00:18:16 ncic.local com.apple.SecurityServer[15]: Session 100084 created
Last edited on Jul 5, 2013 at 4:25:58 PM by dkocher (previous) (diff)

Changed on Jul 8, 2013 at 7:13:54 AM by czechxteam

comment:6 follow-up: Changed on Jul 8, 2013 at 7:14:51 AM by czechxteam

Confirmed on OS X 10.8.4 and Cyberduck 4.4 (11740). Sample of process added.

comment:7 in reply to: ↑ 6 Changed on Jul 10, 2013 at 4:10:19 PM by dkocher

Replying to czechxteam:

Confirmed on OS X 10.8.4 and Cyberduck 4.4 (11740). Sample of process added.

Thanks for testing.

comment:8 Changed on Jul 11, 2013 at 2:55:06 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from cant quit, does nothing Version 4.4 (11551) to Quit application does not work

comment:9 Changed on Jul 22, 2013 at 1:52:08 PM by sm8500

same problem on MacOS 10.7.4

comment:10 Changed on Jul 24, 2013 at 1:40:49 AM by ds1101

Still happening for me - Version 4.4 (12233) OS X 10.8.4. Unable to quit application

comment:11 Changed on Jul 24, 2013 at 5:54:28 AM by czechxteam

Hmmm really annoying, even for testers :( It makes using/testing uncomfortable.

comment:12 Changed on Jul 24, 2013 at 1:21:20 PM by dkocher

Is Quit already non functioning after just launching the application or do you need to connect to a server first before you can replicate the issue?

comment:13 Changed on Jul 24, 2013 at 1:27:51 PM by ncic

yes correct quit not working neither before connect or after. what works tho is the "install and relaunch" button moment after an snapshop update. this does work and quits the app and relaunches it

comment:14 Changed on Jul 24, 2013 at 8:03:16 PM by czechxteam

No connection, just launch Cyberduck and press Cmd+Q. It look like that Cyberduck waiting for show window with donation appeal or something else (finish any thread), but it has never appear.

comment:15 Changed on Jul 24, 2013 at 8:40:12 PM by dkocher

This bug was introduced in r11455.

comment:16 Changed on Jul 24, 2013 at 8:42:12 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Revert in r12285.

comment:17 Changed on Jul 24, 2013 at 11:38:46 PM by czechxteam

Now it works great. Thank you.

comment:18 Changed on Jul 25, 2013 at 12:28:49 AM by ncic

yes confirming it works great here too!!! thank you

Note: See TracTickets for help on using tickets.
swiss made software